Wednesday, 8 January 2014

Installing FCPX 10.1

Wow, 10.1. This is a big update! They are bound to fucking charge us for it aren't they?

What? It's a free upgrade? Amazing!

Oh, you need Mavericks to run it?

OK, no worries, that's a free upgrade too. Aren't Apple awesome?!

What's that? My Mac Pro 1.1 won't run Mavericks? Oh.

Ok.

What about my Intel Core 2 Duo laptop? Fuck that. That won't even run FCPX 10.0.6.

Oh.

Oh Shit.

Maybe it is time to upgrade my computers.

3 comments:

  1. 10.1 WILL FRY YOUR PUNY HUMAN BRAIN WITH ITS DEITY-INSPIRED MEDIA MANAGEMENT PARADIGM. ALL YOUR LIBRARIES ARE BELONG TO US. ABANDON ALL HOPE, PATHETIC EARTHLING.

    ReplyDelete
  2. Also: you can install Mavs on a first-yen Pro: http://www.reddit.com/r/apple/comments/1rsp3q/install_mavericks_on_older_mac_pro_11_21_20062007/

    You… may want to have a fresh backup before trying that. And a fire extinguisher, just in case.

    ReplyDelete
  3. Mavericks on a 1,1?
    Coolio.
    I'm presently trying to work out how to change the way I work.
    I'm sick of all these firewire hard drives and this huge desktop machine.
    So watch this space.

    ReplyDelete